Index: modules/uoa-admin-portal/trunk/src/app/pages/community/community-edit-form/community-edit-form.component.ts
===================================================================
--- modules/uoa-admin-portal/trunk/src/app/pages/community/community-edit-form/community-edit-form.component.ts	(revision 58657)
+++ modules/uoa-admin-portal/trunk/src/app/pages/community/community-edit-form/community-edit-form.component.ts	(revision 58658)
@@ -228,7 +228,7 @@
     private sendMailToNewManagers(managers: any) {
         this._emailService.sendEmail(this.properties,
                                      Composer.composeEmailForNewManager(this.communityId,
-                                         this.community.title, managers)).subscribe(
+                                         this.community.title, managers, this.properties.admins[0])).subscribe(
               res => {
                 // console.log("The email has been sent successfully!")
               },
@@ -241,7 +241,7 @@
             this.properties, this.communityId,
                                      Composer.composeEmailToInformOldManagersForTheNewOnes(this.community.title, this.communityId,
                                                                                            this.firstVersionOfManagers,
-                                                                                           this.community.managers)).subscribe(
+                                                                                           this.community.managers, this.properties.admins[0])).subscribe(
               res => {
                 // console.log("The email has been sent successfully!")
               },
Index: modules/uoa-admin-portal/trunk/src/assets/env-properties.json
===================================================================
--- modules/uoa-admin-portal/trunk/src/assets/env-properties.json	(revision 58657)
+++ modules/uoa-admin-portal/trunk/src/assets/env-properties.json	(revision 58658)
@@ -96,5 +96,7 @@
   "widgetLink" : "https://beta.openaire.eu/index.php?option=com_openaire&view=widget&format=raw&projectId=",
   "claimsInformationLink": "https://www.openaire.eu/linking-beta",
   "lastIndexUpdate": "2019-05-16",
-  "indexInfoAPI": "http://beta.services.openaire.eu/openaire/info/"
+  "indexInfoAPI": "http://beta.services.openaire.eu/openaire/info/",
+  "admins" : ["kostis30fylloy@gmail.com"],
+  "adminPortalURL": "https://beta.admin.connect.openaire.eu"
 }
Index: modules/uoa-admin-portal/trunk/deploy/production-properties.json
===================================================================
--- modules/uoa-admin-portal/trunk/deploy/production-properties.json	(revision 58657)
+++ modules/uoa-admin-portal/trunk/deploy/production-properties.json	(revision 58658)
@@ -98,5 +98,7 @@
   "widgetLink" : "https://www.openaire.eu/index.php?option=com_openaire&view=widget&format=raw&projectId=",
   "claimsInformationLink": "https://www.openaire.eu/linking",
   "lastIndexUpdate": "2019-07-24",
-  "indexInfoAPI": "http://beta.services.openaire.eu/openaire/info/"
+  "indexInfoAPI": "http://beta.services.openaire.eu/openaire/info/",
+  "adminPortalURL": "https://admin.connect.openaire.eu",
+  "admins" : ["rcd-helpdesk@openaire.eu"]
 }
Index: modules/uoa-admin-portal/trunk/deploy/beta-properties.json
===================================================================
--- modules/uoa-admin-portal/trunk/deploy/beta-properties.json	(revision 58657)
+++ modules/uoa-admin-portal/trunk/deploy/beta-properties.json	(revision 58658)
@@ -1,102 +1,86 @@
 {
-  "environment":"beta",
-  "enablePiwikTrack" : false,
-  "useCache" : false,
-  "metricsAPIURL" : "https://beta.services.openaire.eu/usagestats/",
-  "framesAPIURL" : "https://beta.openaire.eu/stats3/",
-  "claimsAPIURL" : "https://beta.services.openaire.eu/claims/rest/claimsService/",
-  "statisticsAPIURL" : "https://beta.services.openaire.eu/stats-api/",
-  "statisticsFrameAPIURL":"https://beta.openaire.eu/stats/",
+  "environment": "beta",
+  "enablePiwikTrack": false,
+  "useCache": false,
+  "metricsAPIURL": "https://beta.services.openaire.eu/usagestats/",
+  "framesAPIURL": "https://beta.openaire.eu/stats3/",
+  "claimsAPIURL": "https://beta.services.openaire.eu/claims/rest/claimsService/",
+  "statisticsAPIURL": "https://beta.services.openaire.eu/stats-api/",
+  "statisticsFrameAPIURL": "https://beta.openaire.eu/stats/",
   "statisticsFrameNewAPIURL": "http://marilyn.athenarc.gr:8080/stats-api/",
-  "useNewStatistisTool":false,
-  "searchAPIURLLAst"     : "https://beta.services.openaire.eu/search/v2/api/",
-  "searchResourcesAPIURL"     : "https://beta.services.openaire.eu/search/v2/api/resources",
-  "openCitationsAPIURL" : "https://services.openaire.eu/opencitations/getCitations?id=",
-  "csvAPIURL" : "https://beta.services.openaire.eu/search/v2/api/reports",
-  "searchCrossrefAPIURL" : "https://api.crossref.org/works",
-  "searchDataciteAPIURL" : "https://api.datacite.org/works",
-  "searchOrcidURL"    : "https://pub.orcid.org/",
-  "orcidURL"   : "https://orcid.org/",
-  "doiURL"     : "https://dx.doi.org/",
-  "cordisURL"  : "http://cordis.europa.eu/projects/",
+  "useNewStatistisTool": false,
+  "searchAPIURLLAst": "https://beta.services.openaire.eu/search/v2/api/",
+  "searchResourcesAPIURL": "https://beta.services.openaire.eu/search/v2/api/resources",
+  "openCitationsAPIURL": "https://services.openaire.eu/opencitations/getCitations?id=",
+  "csvAPIURL": "https://beta.services.openaire.eu/search/v2/api/reports",
+  "searchCrossrefAPIURL": "https://api.crossref.org/works",
+  "searchDataciteAPIURL": "https://api.datacite.org/works",
+  "searchOrcidURL": "https://pub.orcid.org/",
+  "orcidURL": "https://orcid.org/",
+  "doiURL": "https://dx.doi.org/",
+  "cordisURL": "http://cordis.europa.eu/projects/",
   "openDoarURL": "http://v2.sherpa.ac.uk/id/repository/",
   "r3DataURL": "http://service.re3data.org/repository/",
   "sherpaURL": "http://www.sherpa.ac.uk/romeo/search.php?issn=",
-  "zenodo"   : "https://zenodo.org/",
-  "zenodoCommunities" : "https://zenodo.org/api/communities/",
-  "openAccess" : "https://www.openaire.eu/support/faq#article-id-234",
-  "openAccessRepo" : "https://www.openaire.eu/support/faq#article-id-310",
-  "fp7Guidlines" : "https://www.openaire.eu/open-access-in-fp7-seventh-research-framework-programme",
-  "h2020Guidlines" : "https://www.openaire.eu/oa-publications/h2020/open-access-in-horizon-2020",
-  "ercGuidlines" : "http://erc.europa.eu/sites/default/files/document/file/ERC_Open_Access_Guidelines-revised_2014.pdf",
-  "helpdesk" : "https://www.openaire.eu/support/helpdesk",
+  "zenodo": "https://zenodo.org/",
+  "zenodoCommunities": "https://zenodo.org/api/communities/",
+  "openAccess": "https://www.openaire.eu/support/faq#article-id-234",
+  "openAccessRepo": "https://www.openaire.eu/support/faq#article-id-310",
+  "fp7Guidlines": "https://www.openaire.eu/open-access-in-fp7-seventh-research-framework-programme",
+  "h2020Guidlines": "https://www.openaire.eu/oa-publications/h2020/open-access-in-horizon-2020",
+  "ercGuidlines": "http://erc.europa.eu/sites/default/files/document/file/ERC_Open_Access_Guidelines-revised_2014.pdf",
+  "helpdesk": "https://www.openaire.eu/support/helpdesk",
   "helpdeskEmail": "helpdesk@openaire.eu",
-  "utilsService" : "https://demo.openaire.eu/utils-service",
-
-  "vocabulariesAPI" :"https://beta.services.openaire.eu/provision/mvc/vocabularies/",
-
-  "piwikBaseUrl" :" https://analytics.openaire.eu/piwik.php?idsite=6",
-  "loginUrl" :"https://beta.services.openaire.eu/admin-user-management/openid_connect_login",
-
-  "userInfoUrl" : "https://beta.services.openaire.eu/uoa-user-management/api/users/getUserInfo?accessToken=",
-
-  "logoutUrl" :"https://aai.openaire.eu/proxy/saml2/idp/SingleLogoutService.php?ReturnTo=",
-
-  "cookieDomain" :".openaire.eu",
-
-  "feedbackmail" :"openaire.test@gmail.com",
+  "utilsService": "https://demo.openaire.eu/utils-service",
+  "vocabulariesAPI": "https://beta.services.openaire.eu/provision/mvc/vocabularies/",
+  "piwikBaseUrl": " https://analytics.openaire.eu/piwik.php?idsite=6",
+  "loginUrl": "https://beta.services.openaire.eu/admin-user-management/openid_connect_login",
+  "userInfoUrl": "https://beta.services.openaire.eu/uoa-user-management/api/users/getUserInfo?accessToken=",
+  "logoutUrl": "https://aai.openaire.eu/proxy/saml2/idp/SingleLogoutService.php?ReturnTo=",
+  "cookieDomain": ".openaire.eu",
+  "feedbackmail": "openaire.test@gmail.com",
   "feedbackmailForMissingEntities": "feedback@openaire.eu",
-
-  "cacheUrl" :"https://demo.openaire.eu/cache/get?url=",
-
-  "adminToolsAPIURL" :"https://beta.services.openaire.eu/uoa-admin-tools/",
-
-  "adminToolsCommunity" :"openaire",
+  "cacheUrl": "https://demo.openaire.eu/cache/get?url=",
+  "adminToolsAPIURL": "https://beta.services.openaire.eu/uoa-admin-tools/",
+  "adminToolsCommunity": "openaire",
   "communityAPI": "https://beta.services.openaire.eu/openaire/community/",
-
   "miningBackendURL": "https://beta.services.openaire.eu/interactive-mining",
-
-  "csvLimit":  2000,
-  "pagingLimit":  20,
-  "resultsPerPage":  10,
-
-  "baseLink" : "https://beta.admin.connect.openaire.eu/",
-  "baseOpenaireLink" : "https://beta.explore.openaire.eu",
-
-  "searchLinkToPublication" : "/search/publication?articleId=",
-  "searchLinkToProject" : "/search/project?projectId=",
-  "searchLinkToDataProvider" : "/search/dataprovider?datasourceId=",
-  "searchLinkToDataset" : "/search/dataset?datasetId=",
-  "searchLinkToOrganization" : "/search/organization?organizationId=",
-
-  "searchLinkToPublications" : "/search/find/publications",
-  "searchLinkToDataProviders" : "/search/find/dataproviders",
-  "searchLinkToProjects" : "/search/find/projects",
-  "searchLinkToDatasets" : "/search/find/datasets",
-  "searchLinkToSoftware" : "/search/find/software",
-  "searchLinkToOrganizations" : "/search/find/organizations",
-  "searchLinkToCompatibleDataProviders" : "/search/content-providers",
-  "searchLinkToEntityRegistriesDataProviders" : "/search/entity-registries",
-  "searchLinkToEntityRegistriesDataProvidersTable" : "/search/entity-registries-table",
-  "searchLinkToJournals" : "/search/journals",
-  "searchLinkToJournalsTable" : "/search/journals-table",
-
-  "searchLinkToAdvancedPublications" : "/search/advanced/publications",
-  "searchLinkToAdvancedProjects" : "/search/advanced/projects",
-  "searchLinkToAdvancedDatasets" : "/search/advanced/datasets",
-  "searchLinkToAdvancedSoftware" : "/search/advanced/software",
-  "searchLinkToAdvancedDataProviders" : "/search/advanced/dataproviders",
-  "searchLinkToAdvancedOrganizations" : "/search/advanced/organizations",
-
+  "csvLimit": 2000,
+  "pagingLimit": 20,
+  "resultsPerPage": 10,
+  "baseLink": "https://beta.admin.connect.openaire.eu/",
+  "baseOpenaireLink": "https://beta.explore.openaire.eu",
+  "searchLinkToPublication": "/search/publication?articleId=",
+  "searchLinkToProject": "/search/project?projectId=",
+  "searchLinkToDataProvider": "/search/dataprovider?datasourceId=",
+  "searchLinkToDataset": "/search/dataset?datasetId=",
+  "searchLinkToOrganization": "/search/organization?organizationId=",
+  "searchLinkToPublications": "/search/find/publications",
+  "searchLinkToDataProviders": "/search/find/dataproviders",
+  "searchLinkToProjects": "/search/find/projects",
+  "searchLinkToDatasets": "/search/find/datasets",
+  "searchLinkToSoftware": "/search/find/software",
+  "searchLinkToOrganizations": "/search/find/organizations",
+  "searchLinkToCompatibleDataProviders": "/search/content-providers",
+  "searchLinkToEntityRegistriesDataProviders": "/search/entity-registries",
+  "searchLinkToEntityRegistriesDataProvidersTable": "/search/entity-registries-table",
+  "searchLinkToJournals": "/search/journals",
+  "searchLinkToJournalsTable": "/search/journals-table",
+  "searchLinkToAdvancedPublications": "/search/advanced/publications",
+  "searchLinkToAdvancedProjects": "/search/advanced/projects",
+  "searchLinkToAdvancedDatasets": "/search/advanced/datasets",
+  "searchLinkToAdvancedSoftware": "/search/advanced/software",
+  "searchLinkToAdvancedDataProviders": "/search/advanced/dataproviders",
+  "searchLinkToAdvancedOrganizations": "/search/advanced/organizations",
   "sendMailUrl": "https://beta.services.openaire.eu/uoa-admin-tools/sendMail",
   "notifyForNewManagers": "https://beta.services.openaire.eu/uoa-admin-tools/notifyForNewManagers/",
   "notifyForNewSubscribers": "https://beta.services.openaire.eu/uoa-admin-tools/notifyForNewSubscribers/",
-
-  "lastIndexInformationLink" : "https://beta.openaire.eu/aggregation-and-content-provision-workflows",
-  "showLastIndexInformationLink" : false,
-
-  "widgetLink" : "https://beta.openaire.eu/index.php?option=com_openaire&view=widget&format=raw&projectId=",
+  "lastIndexInformationLink": "https://beta.openaire.eu/aggregation-and-content-provision-workflows",
+  "showLastIndexInformationLink": false,
+  "widgetLink": "https://beta.openaire.eu/index.php?option=com_openaire&view=widget&format=raw&projectId=",
   "claimsInformationLink": "https://beta.openaire.eu/linking",
-   "lastIndexUpdate": "2019-11-01",
-   "indexInfoAPI": "http://beta.services.openaire.eu/openaire/info/"
+  "lastIndexUpdate": "2019-11-01",
+  "indexInfoAPI": "http://beta.services.openaire.eu/openaire/info/",
+  "adminPortalURL": "https://beta.admin.connect.openaire.eu",
+  "admins" : ["rcd-helpdesk@openaire.eu"]
 }